#include "appnamesort.h"
#include <QLocale>
#include <QCollator>

AppNameSort::AppNameSort(QString appName) : m_appName(appName)
{
}

bool AppNameSort::operator < (const AppNameSort &other) const
{
    QLocale local;
    QString language = local.languageToString(local.language());

    if (QString::compare(language, "Chinese") == 0) {
        local = QLocale(QLocale::Chinese);
    } else {
        local = QLocale(QLocale::English);
    }

    QCollator collator(local);

    if (collator.compare(m_appName, other.getAppName()) < 0) {
        return true;
    } else {
        return false;
    }
}

QString AppNameSort::getAppName() const
{
    return m_appName;
}
